Skip to main content
PATCH
/
api
/
v1
/
training
/
{trainingJobKey}
/
cancel
Cancel training job
curl --request PATCH \
  --url https://api.mathfi.ai/api/v1/training/{trainingJobKey}/cancel \
  --header 'Authorization: Bearer <token>'
{
  "status": "CANCELLED"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /api/login. Valid for 1 hour.

Path Parameters

trainingJobKey
string<uuid>
required

Response

Training job cancelled successfully

status
enum<string>
required

Status of a training job:

StatusDescription
PENDINGQueued, not yet started
RUNNINGAlgorithms competing in parallel
COMPLETEDTarget performance reached. Champion model created.
TIMED_OUTDid not reach target performance within the time limit
NOT_COMPLETEDStalled — no progress detected for a sustained period
CANCELLEDCancelled by the user
FAILEDFailed due to an internal error
Available options:
PENDING,
RUNNING,
COMPLETED,
TIMED_OUT,
NOT_COMPLETED,
CANCELLED,
FAILED
targetPerformance
number<double>
jobs
object[]